# ManualApprovalStepProps

Construction properties for a `ManualApprovalStep`.

Extends: ManualApprovalStepProps
Used as props by: ManualApprovalStep

- Source: [`pipelines/lib/blueprint/manual-approval.ts`](https://github.com/aws/aws-cdk/blob/v2.274.0/packages/aws-cdk-lib/pipelines/lib/blueprint/manual-approval.ts#L6)
- Type last changed: v2.202.0 · 20 Jun 2025

## Example

```ts
declare const pipeline: pipelines.CodePipeline;
const preprod = new MyApplicationStage(this, 'PreProd');
const prod = new MyApplicationStage(this, 'Prod');
const topic = new sns.Topic(this, 'ChangeApprovalTopic');

pipeline.addStage(preprod, {
  post: [
    new pipelines.ShellStep('Validate Endpoint', {
      commands: ['curl -Ssf https://my.webservice.com/'],
    }),
  ],
});
pipeline.addStage(prod, {
  pre: [new pipelines.ManualApprovalStep('PromoteToProd', {
    //All options below are optional
    comment: 'Please validate changes',
    reviewUrl: 'https://my.webservice.com/',
    notificationTopic: topic,
  })],
});
```

## Properties

- `comment`: string — The comment to display with this manual approval.

  **Default:** No comment

- `notificationTopic`: [ITopic](/cdk/api/v2/docs/aws-cdk-lib.aws_sns.ITopic.html) — Optional SNS topic to send notifications to when an approval is pending.

  **Default:** No notifications

- `reviewUrl`: string — The URL for review associated with this manual approval.

  **Default:** No URL
